> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hypedexer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Elysium tokens

> List Elysium tokens



## OpenAPI

````yaml /elysium/openapi-rest.json get /elysium/testnet/tokens
openapi: 3.0.3
info:
  title: HL Indexer API — Elysium Testnet
  version: 1.0.0
  description: >-
    Elysium testnet (Kinetiq L2 on HyperEVM testnet, chain 99801): blocks,
    transactions, logs, batches, bridge HyperEVM ↔ Elysium, tokens and accounts.
servers:
  - url: https://api.hypedexer.com
    description: EU production
security: []
tags:
  - name: Elysium Testnet
    description: Elysium testnet chain, settlement batches, bridge, tokens and accounts.
paths:
  /elysium/testnet/tokens:
    get:
      tags:
        - Elysium Testnet
      summary: List Elysium tokens
      description: List Elysium tokens
      parameters:
        - name: standard
          in: query
          schema:
            type: string
            enum:
              - erc20
              - erc721
              - erc1155
          description: erc20, erc721 or erc1155
        - name: origin
          in: query
          schema:
            type: string
            enum:
              - native
              - canonical
          description: native (deployed on Elysium) or canonical (bridged from HyperEVM)
        - name: search
          in: query
          schema:
            description: Symbol/name contains, or exact address
            type: string
            minLength: 1
            maxLength: 64
            nullable: true
          description: Symbol/name contains, or exact address
        - name: limit
          in: query
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
        - name: offset
          in: query
          schema:
            type: integer
            minimum: 0
            default: 0
        - name: X-API-Key
          in: header
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    default: true
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ElysiumToken'
                  execution_time_ms:
                    type: number
                  has_more:
                    type: boolean
        '422':
          description: Invalid parameter
components:
  schemas:
    ElysiumToken:
      properties:
        address:
          title: Address
          type: string
        standard:
          title: Standard
          type: string
        name:
          title: Name
          type: string
        symbol:
          title: Symbol
          type: string
        decimals:
          title: Decimals
          type: integer
        origin:
          title: Origin
          type: string
        l1_address:
          title: L1 Address
          type: string
        bridge_wallet:
          title: Bridge Wallet
          type: string
        first_block:
          title: First Block
          type: integer
        first_seen:
          format: date-time
          title: First Seen
          type: string
        transfer_count:
          default: 0
          title: Transfer Count
          type: integer
      required:
        - address
        - standard
        - name
        - symbol
        - decimals
        - origin
        - l1_address
        - bridge_wallet
        - first_block
        - first_seen
      title: ElysiumToken
      type: object

````